package gg.now.utility.myapplication;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

import gg.now.utility.sdk.UtilitySDK;

public class MainActivity extends Activity {

    private static final String TAG = MainActivity.class.getSimpleName();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        findViewById(R.id.deviceType).setOnClickListener(view -> {
            Toast.makeText(MainActivity.this, UtilitySDK.getInstance().getDeviceType(MainActivity.this).toString(), Toast.LENGTH_LONG).show();
        });

        findViewById(R.id.openUrl).setOnClickListener(view -> {
            UtilitySDK.getInstance().openUrl("https://now.gg", MainActivity.this);
        });

        findViewById(R.id.isRunningOnNowgg).setOnClickListener(view -> {
            boolean isRunningOnNowgg = UtilitySDK.getInstance().isRunningOnNowGG(MainActivity.this);
            Log.d(TAG, "isRunningOnNowgg : " + isRunningOnNowgg);
            Toast.makeText(MainActivity.this, "isRunningOnNowgg : " + isRunningOnNowgg, Toast.LENGTH_LONG).show();
        });
    }
}