package gg.now.securitytest;

import androidx.appcompat.app.AppCompatActivity;


import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;


import gg.now.security.unitysdk.NowGGSecuritySDK;
import gg.now.security.unitysdk.UnityCallBack;

public class MainActivity extends AppCompatActivity  implements UnityCallBack {

    public static final String TAG = "RewardsTest";

    public Button getSecurityToken;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        getSecurityToken = findViewById(R.id.get_token);
        getSecurityToken.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                NowGGSecuritySDK nowGGSecuritySDK = new NowGGSecuritySDK();
                nowGGSecuritySDK.getSessionToken(MainActivity.this, MainActivity.this);
            }
        });
    }

    @Override
    public void OnNowGGSessionToken(boolean success, String sessionToken, String pkgName) {
        Log.d(TAG, "OnNowGGSessionToken() called with: success = [" + success + "], sessionToken = [" + sessionToken + "], pkgName = [" + pkgName + "]");
    }
}